# LMExamQA Dataset

By: [Yushi Bai] `<bys22@mails.tsinghua.edu.cn>`

In this paper, we propose Language-Model-as-an-Examiner to address the difficulties in Open-ended QA benchmarks. We construct the LMExamQA dataset, which aims to probe a more comprehensive and stratified understanding of knowledge.
```

## Motivation

1. **For what purpose was the dataset created?** *(Was there a specific task in mind? Was there a specific gap that needed to be filled? Please provide a description.)*
   
   This dataset was developed to benchmark foundation models on Open-ended QA in a more comprehensive and stratified maner.
2. **Who created this dataset (e.g., which team, research group) and on behalf of which entity (e.g., company, institution, organization)?**
   
   This dataset was created by the authors of this paper.
3. **Who funded the creation of the dataset?** *(If there is an associated grant, please provide the name of the grantor and the grant name and number.)*
   
   None.
   
4. **Any other comments?**
   
   None.

## Composition

1. **What do the instances that comprise the dataset represent (e.g., documents, photos, people, countries)?** *(Are there multiple types of instances (e.g., movies, users, and ratings; people and interactions between them; nodes and edges)? Please provide a description.)*
   
   The dataset contains only one type of instance, i.e., question-answer pairs.
2. **How many instances are there in total (of each type, if appropriate)?**
   
   The dataset contains 10,000 questions along with their answers, all in English.
3. **Does the dataset contain all possible instances or is it a sample (not necessarily random) of instances from a larger set?** *(If the dataset is a sample, then what is the larger set? Is the sample representative of the larger set (e.g., geographic coverage)? If so, please describe how this representativeness was validated/verified. If it is not representative of the larger set, please describe why not (e.g., to cover a more diverse range of instances, because instances were withheld or unavailable).)*
   
   It is the full set.
4. **What data does each instance consist of?** *(``Raw'' data (e.g., unprocessed text or images)or features? In either case, please provide a description.)*
   
   N/A.
5. **Is there a label or target associated with each instance? If so, please provide a description.**
   
   The target is the groundtruth answer related to each question, which is provided by the LM examiner.
6. **Is any information missing from individual instances?** *(If so, please provide a description, explaining why this information is missing (e.g., because it was unavailable). This does not include intentionally removed information, but might include, e.g., redacted text.)*
   
   No.
7. **Are relationships between individual instances made explicit (e.g., users' movie ratings, social network links)?** *( If so, please describe how these relationships are made explicit.)*

   N/A.
8. **Are there recommended data splits (e.g., training, development/validation, testing)?** *(If so, please provide a description of these splits, explaining the rationale behind them.)*
   
   LMExamQA is expected to be used only for testing purposes.
9. **Are there any errors, sources of noise, or redundancies in the dataset?** *(If so, please provide a description.)*

   The error lies in the LM examiner's hallucination in answering their own questions. Although we manually checked 100 questions and found that their answers are all corrected, there might be corner error cases that we have missed.
10. **Is the dataset self-contained, or does it link to or otherwise rely on external resources (e.g., websites, tweets, other datasets)?** *(If it links to or relies on external resources, a) are there guarantees that they will exist, and remain constant, over time; b) are there official archival versions of the complete dataset (i.e., including the external resources as they existed at the time the dataset was created); c) are there any restrictions (e.g., licenses, fees) associated with any of the external resources that might apply to a future user? Please provide descriptions of all external resources and any restrictions associated with them, as well as links or other access points, as appropriate.)*

   The dataset is self-contained.
11. **Does the dataset contain data that might be considered confidential (e.g., data that is protected by legal privilege or by doctor-patient confidentiality, data that includes the content of individuals' non-public communications)?** *(If so, please provide a description.)*
    
   No.
12. **Does the dataset contain data that, if viewed directly, might be offensive, insulting, threatening, or might otherwise cause anxiety?** *(If so, please describe why.)*
    
   No.
13. **Does the dataset relate to people?** *(If not, you may skip the remaining questions in this section.)*
    
   Some of them may relate to real people (such as asking for knowledge about a particular person).
14. **Does the dataset identify any subpopulations (e.g., by age, gender)?** *(If so, please describe how these subpopulations are identified and provide a description of their respective distributions within the dataset.)*
    
   We do not explicitly identify any subpopulations in LMExamQA.
15. **Is it possible to identify individuals (i.e., one or more natural persons), either directly or indirectly (i.e., in combination with other data) from the dataset?** *(If so, please describe how.)*
    
   Yes, their names (mostly famous people) may appear in some questions.
16. **Does the dataset contain data that might be considered sensitive in any way (e.g., data that reveals racial or ethnic origins, sexual orientations, religious beliefs, political opinions or union memberships, or locations; financial or health data; biometric or genetic data; forms of government identification, such as social security numbers; criminal history)?** *(If so, please provide a description.)*
    
   We do not observe sensitive data in LMExamQA.
17. **Any other comments?**
    
   None.

## Collection Process

1. **How was the data associated with each instance acquired?** *(Was the data directly observable (e.g., raw text, movie ratings), reported by subjects (e.g., survey responses), or indirectly inferred/derived from other data (e.g., part-of-speech tags, model-based guesses for age or language)? If data was reported by subjects or indirectly inferred/derived from other data, was the data validated/verified? If so, please describe how.)*
   
   The data all generated by GPT-4, using our carefully designed prompts.
2. **What mechanisms or procedures were used to collect the data (e.g., hardware apparatus or sensor, manual human curation, software program, software API)?** *(How were these mechanisms or procedures validated?)*
   
   GPT-4 API.
3. **If the dataset is a sample from a larger set, what was the sampling strategy (e.g., deterministic, probabilistic with specific sampling probabilities)?**
   
   N/A.
4. **Who was involved in the data collection process (e.g., students, crowdworkers, contractors) and how were they compensated (e.g., how much were crowdworkers paid)?**
   
   N/A.
5. **Over what timeframe was the data collected?** *(Does this timeframe match the creation timeframe of the data associated with the instances (e.g., recent crawl of old news articles)?  If not, please describe the timeframe in which the data associated with the instances was created.)*
   
   The dataset was collected in April and May of 2023.
6. **Were any ethical review processes conducted (e.g., by an institutional review board)?** *(If so, please provide a description of these review processes, including the outcomes, as well as a link or other access point to any supporting documentation.)*
   
   No.
7. **Does the dataset relate to people?** *(If not, you may skip the remaining questions in this section.)*
   
   No.
8. **Did you collect the data from the individuals in question directly, or obtain it via third parties or other sources (e.g., websites)?**
   
   N/A.
9. **Were the individuals in question notified about the data collection?** *(If so, please describe (or show with screenshots or other information) how notice was provided, and provide a link or other access point to, or otherwise reproduce, the exact language of the notification itself.)*
   
   N/A.
10. **Did the individuals in question consent to the collection and use of their data?** *(If so, please describe (or show with screenshots or other information) how consent was requested and provided, and provide a link or other access point to, or otherwise reproduce, the exact language to which the individuals consented.)*=

   N/A.
11. **If consent was obtained, were the consenting individuals provided with a mechanism to revoke their consent in the future or for certain uses?** *(If so, please provide a description, as well as a link or other access point to the mechanism (if appropriate).)*

	N/A.
12. **Has an analysis of the potential impact of the dataset and its use on data subjects (e.g., a data protection impact analysis) been conducted?** *(If so, please provide a description of this analysis, including the outcomes, as well as a link or other access point to any supporting documentation.)*

	No.
13. **Any other comments?**

	None.

## Preprocessing/cleaning/labeling

1. **Was any preprocessing/cleaning/labeling of the data done (e.g., discretization or bucketing, tokenization, part-of-speech tagging, SIFT feature extraction, removal of instances, processing of missing values)?** *(If so, please provide a description. If not, you may skip the remainder of the questions in this section.)*
   
   No.
2. **Was the "raw" data saved in addition to the preprocessed/cleaned/labeled data (e.g., to support unanticipated future uses)?** *(If so, please provide a link or other access point to the "raw" data.)*
   
   N/A.
3. **Is the software used to preprocess/clean/label the instances available?** *(If so, please provide a link or other access point.)*

	N/A.
4. **Any other comments?**

	None.

## Uses

1. **Has the dataset been used for any tasks already?** *(If so, please provide a description.)*
   
   No.
2. **Is there a repository that links to any or all papers or systems that use the dataset?** *(If so, please provide a link or other access point.)*
   
   No.
3. **What (other) tasks could the dataset be used for?**
   
   The dataset is designed to test the open-ended QA performance of foundation models.
4. **Is there anything about the composition of the dataset or the way it was collected and preprocessed/cleaned/labeled that might impact future uses?** *(For example, is there anything that a future user might need to know to avoid uses that could result in unfair treatment of individuals or groups (e.g., stereotyping, quality of service issues) or other undesirable harms (e.g., financial harms, legal risks)  If so, please provide a description. Is there anything a future user could do to mitigate these undesirable harms?)*
   
   No.
5. **Are there tasks for which the dataset should not be used?** *(If so, please provide a description.)*
   
   No.
6. **Any other comments?**
   
   None.

## Distribution

1. **Will the dataset be distributed to third parties outside of the entity (e.g., company, institution, organization) on behalf of which the dataset was created?** *(If so, please provide a description.)*
   
   Yes, we have made it publicly available through the url.
2. **How will the dataset will be distributed (e.g., tarball  on website, API, GitHub)?** *(Does the dataset have a digital object identifier (DOI)?)*
   
   The dataset is available at https://lmexam.com, no DOI.
3. **When will the dataset be distributed?**
   
   The dataset is distributed in June 2023.
4. **Will the dataset be distributed under a copyright or other intellectual property (IP) license, and/or under applicable terms of use (ToU)?** *(If so, please describe this license and/or ToU, and provide a link or other access point to, or otherwise reproduce, any relevant licensing terms or ToU, as well as any fees associated with these restrictions.)*
   
   The dataset is licensed under a CC0 license.
5. **Have any third parties imposed IP-based or other restrictions on the data associated with the instances?** *(If so, please describe these restrictions, and provide a link or other access point to, or otherwise reproduce, any relevant licensing terms, as well as any fees associated with these restrictions.)*
   
   No.
6. **Do any export controls or other regulatory restrictions apply to the dataset or to individual instances?** *(If so, please describe these restrictions, and provide a link or other access point to, or otherwise reproduce, any supporting documentation.)*
   
   No.
7. **Any other comments?**
   
   None.

## Maintenance

1. **Who is supporting/hosting/maintaining the dataset?**
   
   Yushi Bai is supporting and maintaining the dataset.
2. **How can the owner/curator/manager of the dataset be contacted (e.g., email address)?**
   
   Via the E-mail address at the top of this document.
3. **Is there an erratum?** *(If so, please provide a link or other access point.)*
   
   No.
4. **Will the dataset be updated (e.g., to correct labeling errors, add new instances, delete instances')?** *(If so, please describe how often, by whom, and how updates will be communicated to users (e.g., mailing list, GitHub)?)*
   
   The authors of this paper are planning to enlarge the dataset with more domains in the future. The updated version will still be avaiblable at the same url.
5. **If the dataset relates to people, are there applicable limits on the retention of the data associated with the instances (e.g., were individuals in question told that their data would be retained for a fixed period of time and then deleted)?** *(If so, please describe these limits and explain how they will be enforced.)*
   
   No.
6. **Will older versions of the dataset continue to be supported/hosted/maintained?** *(If so, please describe how. If not, please describe how its obsolescence will be communicated to users.)*
   
   Yes.
7. **If others want to extend/augment/build on/contribute to the dataset, is there a mechanism for them to do so?** *(If so, please provide a description. Will these contributions be validated/verified? If so, please describe how. If not, why not? Is there a process for communicating/distributing these contributions to other users? If so, please provide a description.)*
   
   Of course. Others can contribute by providing more stratified domains and more question-answer pairs for a more comprehensive coverage of the dataset.
8. **Any other comments?**
   
   None.